We want your feedback: take the 2023 annual survey and help us improve napari for you and the community!

brainrender

brainrender-napari

A napari plugin to render BrainGlobe atlases and associated data as layers.

    License BSD-3 PyPI Python Version tests codecov napari hub

    BrainGlobe Tools for computational neuroanatomy


    A napari plugin to visualise and manage BrainGlobe atlases. brainrender-napari aims to port the functionality of brainrender to napari. add-region-brainrender-napari

    Usage

    Check out the "Visualising an atlas in napari" tutorial in the BrainGlobe documentation.

    Installation

    We strongly recommend to use a virtual environment manager (like conda or venv). The installation instructions below will not specify the Qt backend for napari, and you will therefore need to install that separately. Please see the napari installation instructions for further advice on this.

    You can install brainrender-napari via pip:

    pip install brainrender-napari

    To install latest development version :

    pip install git+https://github.com/brainglobe/brainrender-napari.git

    Contributing

    Contributions are very welcome. Have a look at our developer conventions for more info. The core development team is happy to help and advise anyone wanting to contribute!

    License

    Distributed under the terms of the BSD-3 license, "brainrender-napari" is free and open source software

    Issues

    If you encounter any problems, please file an issue along with a detailed description.

    Acknowledgements

    This [napari] plugin was generated with Cookiecutter using @napari's cookiecutter-napari-plugin template and the Neuroinformatics Unit's template.

    Version:

    • 0.0.2

    Last updated:

    • 13 October 2023

    First released:

    • 13 October 2023

    License:

    Supported data:

    • Information not submitted

    Plugin type:

    GitHub activity:

    • Stars: 13
    • Forks: 1
    • Issues + PRs: 40

    Python versions supported:

    Operating system:

    Requirements:

    • napari >=0.4.18
    • bg-atlasapi
    • numpy
    • qtpy

    Sign up to receive updates